### Function

# Shumate set_user_agent

#### Declaration [src]

    void
    shumate_set_user_agent (
      const char* new_user_agent
    )

#### Description [src]

Sets the user agent that libshumate uses for all requests.

This API is not thread-safe and should only be called from the main thread.

#### Parameters

`new_user_agent`

  Type: `const char*`

  The new user agent, or `NULL` to reset to the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.